Bug 995734 - drupal7: EL5 prov Python fix
drupal7: EL5 prov Python fix
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: drupal7 (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Borsa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 13:12 EDT by Shawn Iwinski
Modified: 2013-09-01 14:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal7-7.23-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:27:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
drupal7-prov-rpm-lt-4-9-compat.patch (645 bytes, patch)
2013-08-10 13:12 EDT, Shawn Iwinski
no flags Details | Diff

  None (edit)
Description Shawn Iwinski 2013-08-10 13:12:46 EDT
Created attachment 785213 [details]
drupal7-prov-rpm-lt-4-9-compat.patch

Description of problem:
el5 drupal7 rpmbuild error



Version-Release number of selected component (if applicable):
drupal7-7.22-7.el5 / drupal7-rpmbuild-7.22-7.el5



How reproducible:
rpmbuild an el5 drupal pkg that requires drupal7-rpmbuild



Actual results:
  File "/usr/lib/rpm/drupal7.prov", line 41
    version = sys.argv[1] if len(sys.argv) > 1 else None
                           ^
SyntaxError: invalid syntax
Finding  Provides: /usr/lib/rpm/drupal7.prov 3.0
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: drupal7-ctools drupal7-entity php-pcre
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/drupal7-path_breadcrumbs-3.0-0.5.beta4.el5-root-mockbuild
error: /usr/lib/rpm/drupal7.prov failed
error: Failed to find Provides:
RPM build errors:
    /usr/lib/rpm/drupal7.prov failed
    Failed to find Provides:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/drupal7-path_breadcrumbs.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 359, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/drupal7-path_breadcrumbs.spec']
LEAVE do --> EXCEPTION RAISED



Expected results:
No error/exception



Additional info:
Attached patch can be applied to all dist branches.
Comment 1 Peter Borsa 2013-08-10 14:26:44 EDT
I'm working on it. I'll push it soon.
Comment 2 Fedora Update System 2013-08-11 03:13:56 EDT
drupal7-7.23-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.23-3.fc19
Comment 3 Fedora Update System 2013-08-11 03:15:01 EDT
drupal7-7.23-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.23-3.fc18
Comment 4 Fedora Update System 2013-08-11 03:16:06 EDT
drupal7-7.23-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.23-3.el6
Comment 5 Fedora Update System 2013-08-11 03:17:06 EDT
drupal7-7.23-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.23-3.el5
Comment 6 Fedora Update System 2013-08-11 14:27:07 EDT
Package drupal7-7.23-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing drupal7-7.23-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14611/drupal7-7.23-3.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-22 20:27:46 EDT
drupal7-7.23-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-22 20:28:53 EDT
drupal7-7.23-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-01 14:47:51 EDT
drupal7-7.23-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-01 14:48:45 EDT
drupal7-7.23-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.